Skip to main content

Endpoint

Below is the endpoint you must use to poll the system. Make sure to include the GUID you received from the extract fields async endpoint at the end of the request.
https://smartsense-dev-api.nostello.com/api/v1/checkStatus/[guid]

Request Header

All requests must include an API key in the Authorization header.
KeyValue
Authorizationapi-key [your api key]

Request Body

There is no request body

Response Examples

The below example is what you will received when the document is still being processed.
{
    "success": true,
    "data": {
        "status": "processing",
        "progress": 10
    }
}
Below is an example of the response you will receive when the document has completed processing.
{
    "success": true,
    "data": {
        "completionTime": 48.94,
        "originalName": "[document name]",
        "processedPages": 1,
        "documents": [
            {
                "extracted": true,
                "averageDocumentConfidence": 94.32,
                "sourcePages": [
                    1
                ],
                "usedTemplateName": "[template name]",
                "content": {
                    "[field 1]": {
                        "value": "[field value]",
                        "confidence": 99.93,
                        "page": 1,
                        "boundingBox": {
                            "top": 0.24541398882865906,
                            "left": 0.7629675269126892,
                            "width": 0.03504106402397156,
                            "height": 0.007880417630076408
                        }
                    },
                    "[field 2]": {
                        "value": "[field value]",
                        "confidence": 99.02,
                        "page": 1,
                        "boundingBox": {
                            "top": 0.195048987865448,
                            "left": 0.7912929654121399,
                            "width": 0.04586394503712654,
                            "height": 0.007497004698961973
                        }
                    }
                },
                "returnedText": "[text blob]",
				"returnedDocumentBase64": "[Base 64]"
            }
        ]
    }
}

Response Fields

FieldTypeValuesDescription
successBooleantrue/falseIndicates the success or failure of the request as a whole.
dataObjects-Contains all of the data relating to the request.
completionTimeDecimal≥ 0The time it took to process the entire request.
originalNameString-The name of the original document sent in the request.
processedPagesWhole Number≥ 0The total number of pages processed that the original document contained.
documentsArray-Contains the information relating to each document extracted. When document splitting is on, then there will be multiple document objects.
extractedBooleantrue/falseIndicates whether the document was extracted. When there is a filter in the extraction process, some documents will be false and not extracted depending on the rules specified in the filter.
averageDocumentConfidenceDecimal0–100Indicates the average confidence across all fields extracted from the document expressed as a percentage.
sourcePagesArraypage numbersPages from which this document was extracted
usedTemplateNameString-The template used to extract the document.
contentObjectfield-name → objectThis holds the information relating to each field extracted.
valueString-The value of the field extracted.
confidenceDecimal0–100The confidence value for that specific extracted field.
pageWhole Number≥ 1The page from where the document was extracted.
boundingBoxObjects-The 4 coordinates creating the box that surrounds the information extracted.
returnedTextString-Contains the text blob of all the text found on the document.
returnedDocumentBase64StringBase64Base64-encoded PDF document